/*********************************************************************************/
/********** THIS FILE IS GENERATED BY TOUCHGFX DESIGNER, DO NOT MODIFY ***********/
/*********************************************************************************/
#include <gui_generated/customcontrols_screen/CustomControlsViewBase.hpp>
#include "BitmapDatabase.hpp"

CustomControlsViewBase::CustomControlsViewBase() :
    buttonCallback(this, &CustomControlsViewBase::buttonCallbackHandler)
{
    menuBackground.setXY(0, 0);
    menuBackground.setBitmap(Bitmap(BITMAP_CONTROLS_MENU_BACKGROUND_ID));

    background.setXY(100, 0);
    background.setBitmap(Bitmap(BITMAP_CONTROLS_BACKGROUND_ID));

    mcuLoad.setXY(374, 240);

    menuUp.setXY(0, 0);
    menuUp.setBitmaps(Bitmap(BITMAP_CONTROL_MENU_ARROW_UP_ID), Bitmap(BITMAP_CONTROL_MENU_ARROW_UP_PRESSED_ID));
    menuUp.setAction(buttonCallback);

    menuDown.setXY(0, 216);
    menuDown.setBitmaps(Bitmap(BITMAP_CONTROL_MENU_ARROW_DOWN_ID), Bitmap(BITMAP_CONTROL_MENU_ARROW_DOWN_PRESSED_ID));
    menuDown.setAction(buttonCallback);

    gotoMenu.setXY(417, 2);
    gotoMenu.setBitmaps(Bitmap(BITMAP_CONTROL_MENU_BUTTON_ID), Bitmap(BITMAP_CONTROL_MENU_BUTTON_PRESSED_ID));
    gotoMenu.setAction(buttonCallback);

    add(menuBackground);
    add(background);
    add(mcuLoad);
    add(menuUp);
    add(menuDown);
    add(gotoMenu);
}

void CustomControlsViewBase::setupScreen()
{
    mcuLoad.initialize();
}

void CustomControlsViewBase::buttonCallbackHandler(const touchgfx::AbstractButton& src)
{
    if (&src == &menuUp)
    {
        //menuUpClicked
        //When menuUp clicked call virtual function
        //Call menuUpClickedHandler
        menuUpClickedHandler();
    }
    else if (&src == &menuDown)
    {
        //menuDownClicked
        //When menuDown clicked call virtual function
        //Call menuDownClickedHandler
        menuDownClickedHandler();
    }
    else if (&src == &gotoMenu)
    {
        //gotoMenuClicked
        //When gotoMenu clicked change screen to MainMenu
        //Go to MainMenu with screen transition towards North
        application().gotoMainMenuScreenSlideTransitionNorth();
    }
}
